# $Revision: 1.46 $, $Date: 2007-09-05 14:21:59 $
Summary:	Utility for converting text between multiple character sets
Summary(pl.UTF-8):	Uniwersalny konwerter między zestawami znaków
Name:		recode
Version:	3.6
Release:	6
License:	GPL/LGPL
Group:		Applications/Text
Source0:	ftp://ftp.gnu.org/gnu/recode/%{name}-%{version}.tar.gz
# Source0-md5:	be3f40ad2e93dae5cd5f628264bf1877
Patch0:		%{name}-info.patch
Patch1:		%{name}-use_malloc_realloc.patch
Patch2:		%{name}-am.patch
Patch3:		%{name}-hash-nameconflict.patch
Patch4:		%{name}-ac25x.patch
Patch5:		%{name}-el.po-no0xD2.patch
Patch6:		%{name}-pl.po-update.patch
Patch7:		%{name}-debian-11.patch
URL:		http://www.gnu.org/software/recode/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	texinfo
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Free `recode' converts files between various character sets and
surfaces. It supports more than 200 different character sets and
surfaces, including well known ISO-8859, CP-XXXX and Unicode.

%description -l pl.UTF-8
Program `recode' konwertuje pliki pomiędzy różnymi zestawami znaków i
kodowaniami. Obsługuje ponad 200 różnych zestawów znaków oraz sposobów
kodowania, włącznie z popularnymi ISO-8859, CP-XXXX oraz Unicode.

%package devel
Summary:	Header files and documentations for librecode
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do librecode
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and documentations for librecode.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do librecode.

%package static
Summary:	Static librecode library
Summary(pl.UTF-8):	Biblioteka statyczna librecode
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static librecode library.

%description static -l pl.UTF-8
Biblioteka statyczna librecode.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__libtoolize}
cp m4/lcmessage.m4 .
%{__aclocal} -I .
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS BACKLOG README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_infodir}/*info*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/librecode.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: recode.spec,v $
Revision 1.46  2007-09-05 14:21:59  baggins
- rel 6

Revision 1.45  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.43  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.42  2006/02/13 08:39:30  pluto
- few fixes from debian, release 5.

Revision 1.41  2005/05/03 10:04:15  mmazur
- rel 4; builds

Revision 1.40  2005/05/03 09:18:08  pluto
- release 3 for Th.

Revision 1.39  2004/12/20 18:58:09  qboosh
- BR: texinfo

Revision 1.38  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.37  2004/08/05 23:11:34  grzegol
- strict internal deps

Revision 1.36  2003/11/24 12:26:58  averne
- updated release

Revision 1.35  2003/06/06 06:08:21  ankry
- cosmetics

Revision 1.34  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.33  2003/05/25 06:26:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2002/11/25 14:18:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.31  2002/10/27 18:31:35  qboosh
- updated URLs

Revision 1.30  2002/10/27 13:28:34  qboosh
- up to 3.6, updated use_malloc_realloc and hash_nameconflict patches
- new el.po-no0xD2 patch - there is no 0xD2 character in ISO-8859-7
- new pl.po-update patch - update pl.po for recode 3.6

Revision 1.29  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.28  2002/07/29 09:54:41  qboosh
- added ac25x patch needed for autoconf 2.53
- new %%doc, fixes in descriptions, release 5

Revision 1.27  2002/06/23 20:32:34  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.26  2002/05/21 23:14:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.24  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/10/18 21:14:51  qboosh
- larger am patch, libtoolize
- moved fix-info-dir from -devel to base (info page is in base package)
- release 4

Revision 1.20  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.18  2001/03/16 18:04:11  qboosh
- aclocal, autoconf, automake -a -c + am patch
- hash-nameconflict patch: avoid conflict with libmysqlclient (php!)
- release 3

Revision 1.17  2000/10/24 01:38:49  kloczek
- release 2,
- fix: added use_malloc_realloc patch which removes using internal wrapper
  on malloc()/realloc().

Revision 1.16  2000/10/23 16:34:48  kloczek
- updated to 3.5.d,
- use new rpm automation,
- removed obsoleted patches,
- added info patch (move recode to "Text Processing Tools"),
- move info pages to main packade.

Revision 1.15  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.12  2000/05/15 23:28:58  kloczek
- release 3,
- spec adapterized.

Revision 1.11  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.10  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.8  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.7  1999/09/21 07:08:59  kloczek
- added static subpackage,
- removed SONAME symlinks from main package,
- added "gettextize --copy --force" and BuildRequires: gettext-devel,
- chnaged Group to Development/Libraries in devel,
- fixed passing LDFLAGS in %build,
- removed %doc from man and info pages,
- added gzipping man pages,
- added using %%{_libdir} instead %%{_prefix},
- added lib*.la files to devel.

Revision 1.6  1999/09/19 13:16:07  kravietz
- fixed locales
- fixed language selection
- works well

Revision 1.5  1999/09/19 12:24:59  kravietz
- fixed .mo installation bug

Revision 1.4  1999/09/19 12:04:38  kravietz
- more spec bugfixes
- patch with recent Polish translation

Revision 1.3  1999/09/19 11:10:18  kravietz
- first working version

Revision 1.2  1999/09/19 10:52:56  kravietz
- first spec cleanup

Revision 1.1  1999/09/19 10:51:49  kravietz
- recode 3.5 introduced to CVS
